package com.lantone.security.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lantone.security.dto.SysUserPermissionDTO;
import com.lantone.security.entity.SysMenu;
import com.lantone.security.entity.wrapper.SysMenuWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 系统菜单 Mapper 接口
 * </p>
 *
 * @author gaodm
 * @since 2020-04-12
 */
public interface SysMenuMapper extends BaseMapper<SysMenu> {
    /**
     * @Description: 根据用户id获取菜单
     * @Author: ztg
     * @Date: 2018/9/14 13:57
     */
    public List<SysMenuWrapper> getByRole(@Param("userId") Long userId, @Param("roleSet") Set<String> roleSet);


    /**
     * @Description: 根据id获取子级菜单
     * @Author: ztg
     * @Date: 2018/9/14 13:59
     */
    public List<SysMenuWrapper> getSubMenuById(Long id);

    public List<SysUserPermissionDTO> getByRolePermission(@Param("userId") Long userId, @Param("roleSet") Set<String> roleSet);
}
