package com.lantone.security.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author songxl
 * @Description:菜单入参对象
 * @author songxl
 * @since 2021-06-04
 */
@Data
public class SysMenuVO {
    /**
     * 主键自增长
     */
    @ApiModelProperty(hidden = true)
    private Long id;

    /**
     * 操作类型 必填
     */
    @ApiModelProperty("操作类型 必填 1-添加；2-修改 ；3-删除")
    private int useType;
    /**
     * 是否删除,N:未删除，Y:删除
     */
    @ApiModelProperty(hidden = true)
    private String isDeleted;

    /**
     * 记录创建时间
     */
    @ApiModelProperty("记录创建时间")
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    @ApiModelProperty("记录修改时间")
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    @ApiModelProperty("创建人")
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    @ApiModelProperty("修改人")
    private String modifier;

    /**
     * 菜单名称
     */
    @ApiModelProperty("菜单名称")
    private String name;

    /**
     * -1：表示顶级,其他值表示上级菜单的id
     */
    @ApiModelProperty("菜单父类id")
    private Long parentId;

    /**
     * 编码，与前端对应
     */
    @ApiModelProperty("编码")
    private String code;

    /**
     * 是否在右侧菜单显示(0:不显示，1：显示)
     */
    @ApiModelProperty("是否在右侧菜单显示")
    private Integer showStatus;

    /**
     * 是否可以维护(0:不可维护，1：可以维护)
     */
    @ApiModelProperty("是否可以维护")
    private Integer maintainStatus;

    /**
     * 排序，从小到大
     */
    @ApiModelProperty("排序")
    private Integer orderNo;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String remark;

    /**
     * 菜单类型 0：目录 1：菜单 2：按钮
     */
    @ApiModelProperty("菜单类型")
    private Integer type;

    /**
     * 图标
     */
    @ApiModelProperty("图标")
    private String icon;
    /**
     * 页面url
     */
    @ApiModelProperty("页面url")
    private String url;

}
