package com.lantone.security.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.lantone.security.entity.SysMenu;
import com.lantone.security.facade.SysMenuFacade;
import com.lantone.security.vo.SysMenuVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 系统菜单 前端控制器
 * </p>
 *
 * @author songxl
 * @since 2021-06-04
 */
@RestController
@Api(value = "菜单API", tags = { "菜单API" })
@RequestMapping("/sysMenu")
public class SysMenuController {
    @Autowired
    SysMenuFacade sysMenuFacade;
    @ApiOperation(value = "添加、修改、删除菜单[by:songxl]",
            notes = "useType:操作类型 必填 1-添加；2-修改 ；3-删除")
    @PostMapping("/operateMenu")
    @SysLogger("operateMenu")
    public RespDTO<Boolean> operateMenu(@RequestBody SysMenuVO sysMenuVO) {
        return RespDTO.onSuc(sysMenuFacade.operateMenu(sysMenuVO));
    }
    @ApiOperation(value = "通过ID获取菜单[by:songxl]",
            notes = "id:菜单类型 必填")
    @PostMapping("/getMenuByID")
    @SysLogger("getMenuByID")
    public RespDTO<SysMenu> getMenuByID(@RequestBody SysMenuVO sysMenuVO) {
        return RespDTO.onSuc(sysMenuFacade.getMenuByID(sysMenuVO));
    }
}
